| Home · All Classes · All Namespaces · Modules · Functions · Files

# ClientHandlerAdaptor Class Reference

`#include <TelepathyQt4/client-registrar-internal.h>`

List of all members.

## Public Slots

- void HandleChannels (const QDBusObjectPath &account, const QDBusObjectPath &connection, const Tp::ChannelDetailsList &channels, const Tp::ObjectPathList &requestsSatisfied, qulonglong userActionTime, const QVariantMap &handlerInfo, const QDBusMessage &message)

## Public Member Functions

- Tp::ChannelClassList HandlerChannelFilter () const
- bool BypassApproval () const
- Tp::ObjectPathList HandledChannels () const

## Member Function Documentation

Tp::ChannelClassList HandlerChannelFilter | ( |  | ) | const`[inline]`

bool BypassApproval | ( |  | ) | const`[inline]`

Tp::ObjectPathList HandledChannels | ( |  | ) | const`[inline]`

void HandleChannels | ( | const QDBusObjectPath & | account,
|  | const QDBusObjectPath & | connection,
|  | const Tp::ChannelDetailsList & | channels,
|  | const Tp::ObjectPathList & | requestsSatisfied,
|  | qulonglong | userActionTime,
|  | const QVariantMap & | handlerInfo,
|  | const QDBusMessage & | message |
| ) |  |  | `[slot]`